# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.youtube
Enum YouTubeQuery.Time

    java.lang.Object
      java.lang.Enum<YouTubeQuery.Time>
          com.google.gdata.client.youtube.YouTubeQuery.Time

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<YouTubeQuery.Time>

Enclosing class:
  YouTubeQuery

    public static enum YouTubeQuery.Time

extends java.lang.Enum<YouTubeQuery.Time>

Standard values for the `time` parameter.

Enum Constant Summary
`ALL_TIME`
`THIS_MONTH`
`THIS_WEEK`
`TODAY`

Method Summary
`static YouTubeQuery.Time` `fromParameterValue(java.lang.String value)`
`java.lang.String` `toParameterValue()` Returns the corresponding parameter value.
`static YouTubeQuery.Time` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static YouTubeQuery.Time[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TODAY

    public static final YouTubeQuery.Time TODAY

### THIS_WEEK

    public static final YouTubeQuery.Time THIS_WEEK

### THIS_MONTH

    public static final YouTubeQuery.Time THIS_MONTH

### ALL_TIME

    public static final YouTubeQuery.Time ALL_TIME

Method Detail

### values

    public static YouTubeQuery.Time[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (YouTubeQuery.Time c : YouTubeQuery.Time.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static YouTubeQuery.Time valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toParameterValue

    public java.lang.String toParameterValue()

  Returns the corresponding parameter value.

### fromParameterValue

    public static YouTubeQuery.Time fromParameterValue(java.lang.String value)